## org.eclipse.jst.jsf.common.metadata.query
Class AbstractEntityQueryVisitor

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor
          org.eclipse.jst.jsf.common.metadata.query.AbstractEntityVisitor
              org.eclipse.jst.jsf.common.metadata.query.AbstractEntityQueryVisitor

All Implemented Interfaces:
  IEntityQueryVisitor, IEntityVisitor, IMetaDataVisitor

    public abstract class AbstractEntityQueryVisitor

extends AbstractEntityVisitor
implements IEntityQueryVisitor

Abstract class implementing `IEntityQueryVisitor` that concrete subclasses should provide implementations

Provisional API - subject to change

Constructor Summary
`AbstractEntityQueryVisitor()`

Method Summary
`IResultSet<Entity>` `findEntities(Entity initialEntityContext, java.lang.String entityKey)`

Methods inherited from class org.eclipse.jst.jsf.common.metadata.query.AbstractEntityVisitor
`visit, visitCompleted`

Methods inherited from class org.eclipse.jst.jsf.common.metadata.query.AbstractMetaDataVisitor
`stopVisiting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IEntityVisitor
`visit, visitCompleted`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Constructor Detail

### AbstractEntityQueryVisitor

    public AbstractEntityQueryVisitor()

Method Detail

### findEntities

    public IResultSet<Entity> findEntities(Entity initialEntityContext,
                                           java.lang.String entityKey)

  Specified by:
    `findEntities` in interface `IEntityQueryVisitor`
    `entityKey` - to find relative to the passed intialEntityContext
  Returns:
    EmptyResultSet. Subclasses should override.